## org.eclipse.jst.jsf.facesconfig.emf.impl
Class SystemEventListenerTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.SystemEventListenerTypeImpl

All Implemented Interfaces:
  SystemEventListenerType

    public class SystemEventListenerTypeImpl

extends EObjectImpl
implements SystemEventListenerType

An implementation of the model object 'System Event Listener Type'.

The following features are implemented:

- `System Event Listener Class`
- `System Event Class`
- `Source Class`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetSourceClass(SourceClassType newSourceClass, NotificationChain msgs)`
`NotificationChain` `basicSetSystemEventClass(SystemEventClassType newSystemEventClass, NotificationChain msgs)`
`NotificationChain` `basicSetSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`SourceClassType` `getSourceClass()`
`SystemEventClassType` `getSystemEventClass()`
`SystemEventListenerClassType` `getSystemEventListenerClass()`
`void` `setId(java.lang.String newId)`
`void` `setSourceClass(SourceClassType newSourceClass)`
`void` `setSystemEventClass(SystemEventClassType newSystemEventClass)`
`void` `setSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSystemEventListenerClass

    public SystemEventListenerClassType getSystemEventListenerClass()

  Specified by:
    `getSystemEventListenerClass` in interface `SystemEventListenerType`
  Returns:
    the value of the 'System Event Listener Class' containment reference.
  See Also:
    `SystemEventListenerType.setSystemEventListenerClass(SystemEventListenerClassType)`, `FacesConfigPackage.getSystemEventListenerType_SystemEventListenerClass()`

### basicSetSystemEventListenerClass

    public NotificationChain basicSetSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass,
                                                              NotificationChain msgs)

  Parameters:
    `newSystemEventListenerClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSystemEventListenerClass

    public void setSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass)

  Specified by:
    `setSystemEventListenerClass` in interface `SystemEventListenerType`
  Parameters:
    `newSystemEventListenerClass` - the new value of the 'System Event Listener Class' containment reference.
  See Also:
    `SystemEventListenerType.getSystemEventListenerClass()`

### getSystemEventClass

    public SystemEventClassType getSystemEventClass()

  Specified by:
    `getSystemEventClass` in interface `SystemEventListenerType`
  Returns:
    the value of the 'System Event Class' containment reference.
  See Also:
    `SystemEventListenerType.setSystemEventClass(SystemEventClassType)`, `FacesConfigPackage.getSystemEventListenerType_SystemEventClass()`

### basicSetSystemEventClass

    public NotificationChain basicSetSystemEventClass(SystemEventClassType newSystemEventClass,
                                                      NotificationChain msgs)

  Parameters:
    `newSystemEventClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSystemEventClass

    public void setSystemEventClass(SystemEventClassType newSystemEventClass)

  Specified by:
    `setSystemEventClass` in interface `SystemEventListenerType`
  Parameters:
    `newSystemEventClass` - the new value of the 'System Event Class' containment reference.
  See Also:
    `SystemEventListenerType.getSystemEventClass()`

### getSourceClass

    public SourceClassType getSourceClass()

  Specified by:
    `getSourceClass` in interface `SystemEventListenerType`
  Returns:
    the value of the 'Source Class' containment reference.
  See Also:
    `SystemEventListenerType.setSourceClass(SourceClassType)`, `FacesConfigPackage.getSystemEventListenerType_SourceClass()`

### basicSetSourceClass

    public NotificationChain basicSetSourceClass(SourceClassType newSourceClass,
                                                 NotificationChain msgs)

  Parameters:
    `newSourceClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSourceClass

    public void setSourceClass(SourceClassType newSourceClass)

  Specified by:
    `setSourceClass` in interface `SystemEventListenerType`
  Parameters:
    `newSourceClass` - the new value of the 'Source Class' containment reference.
  See Also:
    `SystemEventListenerType.getSourceClass()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `SystemEventListenerType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `SystemEventListenerType.setId(String)`, `FacesConfigPackage.getSystemEventListenerType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `SystemEventListenerType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `SystemEventListenerType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()